---
title: Console.groupEnd()
slug: Web/API/Console/groupEnd
tags:
  - API
  - DOM
  - Debugging
  - Method
  - Web Development
  - web console
---
<p>{{APIRef("Console API")}}</p>

<p>Exits the current inline group in the <a href="/en-US/docs/Tools/Web_Console">Web Console</a>. See <a href="/en-US/docs/Web/API/console#Using_groups_in_the_console">Using groups in the console</a> in the {{domxref("console")}} documentation for details and examples.</p>

<p>{{AvailableInWorkers}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">console.groupEnd();
</pre>

<h2 id="Parameters">Parameters</h2>

<p>None.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<thead>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
	</thead>
	<tbody>
		<tr>
			<td>{{SpecName("Console API", "#groupend", "console.groupEnd()")}}</td>
			<td>{{Spec2("Console API")}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Console.groupEnd")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a class="external" href="http://www.opera.com/dragonfly/documentation/console/">Opera Dragonfly documentation: Console</a></li>
</ul>
